Package net.sf.saxon.expr.flwor

## Class TraceClausePush

- java.lang.Object
- - net.sf.saxon.expr.flwor.TuplePush
  - - net.sf.saxon.expr.flwor.TraceClausePush

-     public class TraceClausePush
      extends TuplePush

  This class represents the tuple stream delivered as the output of a trace clause in a FLWOR expression. It does not change the values of any variables in the tuple stream, but merely notifies the TraceListener whenever a new tuple is available.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TraceClausePush​(Outputter outputter, TuplePush destination, TraceClause traceClause, Clause baseClause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Close the tuple stream, indicating that no more tuples will be supplied
    `void` | `processTuple​(XPathContext context)` | Notify the availability of the next tuple.

    - ### Methods inherited from class net.sf.saxon.expr.flwor.TuplePush

      `getOutputter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraceClausePush

          public TraceClausePush​(Outputter outputter,
                                 TuplePush destination,
                                 TraceClause traceClause,
                                 Clause baseClause)

  - ### Method Detail

    - #### processTuple

          public void processTuple​(XPathContext context)
                            throws XPathException

      Description copied from class: `TuplePush`
      Notify the availability of the next tuple. Before calling this method, the supplier of the tuples must set all the variables corresponding to the supplied tuple in the local stack frame associated with the context object
      Specified by:
        `processTuple` in class `TuplePush`
      Parameters:
        `context` - the dynamic evaluation context
      Throws:
        `XPathException` - if a dynamic error occurs

    - #### close

          public void close()
                     throws XPathException

      Description copied from class: `TuplePush`
      Close the tuple stream, indicating that no more tuples will be supplied
      Overrides:
        `close` in class `TuplePush`
      Throws:
        `XPathException` - if a dynamic error occurs